Bug 1310168 - glibc-2.22-9.fc23 breaks audit?
glibc-2.22-9.fc23 breaks audit?
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
23
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Florian Weimer
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2016-02-19 11:05 EST by Dan Horák
Modified: 2016-02-29 05:21 EST (History)
9 users (show)

See Also:
Fixed In Version: glibc-2.22-10.fc23 glibc-2.21-12.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-29 05:21:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 19682 None None None 2016-02-19 15:53 EST

  None (edit)
Description Dan Horák 2016-02-19 11:05:46 EST
When doing builds in s390 koji for f23 I'm getting a strange error in root.log (http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2085257)

...
DEBUG util.py:474:  Executing command: ['/usr/bin/yum-deprecated', '--installroot', '/var/lib/mock/f23-build-548648-345452/root/', 'groupinstall', 'build', '--setopt=tsflags=nocontexts'] with env {'HOSTNAME': 'mock', 'TERM': 'vt100', 'LC_MESSAGES': 'C', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'PROMPT_COMMAND': 'printf "\x1b]0;<mock-chroot>\x07<mock-chroot>"', 'SHELL': '/bin/bash', 'LANG': 'en_US.UTF-8', 'HOME': '/builddir'} and shell False
DEBUG util.py:399:  Yum command has been deprecated, use dnf instead.
DEBUG util.py:399:  See 'man dnf' and 'man yum2dnf' for more information.
DEBUG util.py:399:  There is no installed groups file.
DEBUG util.py:399:  Maybe run: yum groups mark convert (see man yum)
DEBUG util.py:399:  ================================================================================
DEBUG util.py:399:   Package                      Arch    Version                      Repository
DEBUG util.py:399:                                                                             Size
DEBUG util.py:399:  ================================================================================
DEBUG util.py:399:  Installing for group install "build":
DEBUG util.py:399:   bash                         s390x   4.3.42-3.fc23                build  1.4 M
DEBUG util.py:399:   bzip2                        s390x   1.0.6-18.fc23                build   57 k
DEBUG util.py:399:   coreutils                    s390x   8.24-6.fc23                  build  2.9 M
DEBUG util.py:399:   cpio                         s390x   2.11-36.fc23                 build  218 k
DEBUG util.py:399:   diffutils                    s390x   3.3-12.fc23                  build  332 k
DEBUG util.py:399:   fedora-release               noarch  23-1                         build   15 k
DEBUG util.py:399:   findutils                    s390x   1:4.5.16-1.fc23              build  559 k
DEBUG util.py:399:   gawk                         s390x   4.1.3-2.fc23                 build  1.0 M
DEBUG util.py:399:   gcc                          s390x   5.3.1-2.fc23                 build   15 M
DEBUG util.py:399:   gcc-c++                      s390x   5.3.1-2.fc23                 build  8.4 M
DEBUG util.py:399:   grep                         s390x   2.22-6.fc23                  build  274 k
DEBUG util.py:399:   gzip                         s390x   1.6-9.fc23                   build  156 k
DEBUG util.py:399:   info                         s390x   6.0-2.fc23                   build  211 k
DEBUG util.py:399:   make                         s390x   1:4.0-5.1.fc23               build  447 k
DEBUG util.py:399:   patch                        s390x   2.7.5-2.fc23                 build  124 k
DEBUG util.py:399:   redhat-rpm-config            noarch  36-1.fc23                    build   58 k
DEBUG util.py:399:   rpm-build                    s390x   4.13.0-0.rc1.11.fc23         build  135 k
DEBUG util.py:399:   sed                          s390x   4.2.2-11.fc23                build  237 k
DEBUG util.py:399:   shadow-utils                 s390x   2:4.2.1-3.fc23               build  1.1 M
DEBUG util.py:399:   tar                          s390x   2:1.28-6.fc23                build  943 k
DEBUG util.py:399:   unzip                        s390x   6.0-24.fc23                  build  185 k
DEBUG util.py:399:   util-linux                   s390x   2.27.1-2.fc23                build  2.1 M
DEBUG util.py:399:   which                        s390x   2.20-12.fc23                 build   45 k
DEBUG util.py:399:   xz                           s390x   5.2.1-3.fc23                 build  145 k
DEBUG util.py:399:  Installing for dependencies:
DEBUG util.py:399:   audit-libs                   s390x   2.4.5-1.fc23                 build   90 k
DEBUG util.py:399:   basesystem                   noarch  11-1.fc23                    build  8.5 k
DEBUG util.py:399:   binutils                     s390x   2.25-15.fc23                 build  3.0 M
DEBUG util.py:399:   bzip2-libs                   s390x   1.0.6-18.fc23                build   47 k
DEBUG util.py:399:   ca-certificates              noarch  2015.2.6-1.0.fc23            build  431 k
DEBUG util.py:399:   chkconfig                    s390x   1.7-1.fc23                   build  177 k
DEBUG util.py:399:   cpp                          s390x   5.3.1-2.fc23                 build  6.9 M
DEBUG util.py:399:   cracklib                     s390x   2.9.1-6.fc23                 build   83 k
DEBUG util.py:399:   cracklib-dicts               s390x   2.9.1-6.fc23                 build  3.6 M
DEBUG util.py:399:   crypto-policies              noarch  20151104-1.gitf1cba5f.fc23   build   29 k
DEBUG util.py:399:   curl                         s390x   7.43.0-5.fc23                build  282 k
DEBUG util.py:399:   cyrus-sasl-lib               s390x   2.1.26-25.2.fc23             build  154 k
DEBUG util.py:399:   dwz                          s390x   0.12-1.fc23                  build  105 k
DEBUG util.py:399:   elfutils                     s390x   0.165-2.fc23                 build  293 k
DEBUG util.py:399:   elfutils-default-yama-scope  noarch  0.165-2.fc23                 build   36 k
DEBUG util.py:399:   elfutils-libelf              s390x   0.165-2.fc23                 build  211 k
DEBUG util.py:399:   elfutils-libs                s390x   0.165-2.fc23                 build  267 k
DEBUG util.py:399:   emacs-filesystem             noarch  1:24.5-7.fc23                build   63 k
DEBUG util.py:399:   expat                        s390x   2.1.0-12.fc23                build   81 k
DEBUG util.py:399:   fedora-repos                 noarch  23-1                         build   77 k
DEBUG util.py:399:   file                         s390x   5.22-6.fc23                  build   65 k
DEBUG util.py:399:   file-libs                    s390x   5.22-6.fc23                  build  421 k
DEBUG util.py:399:   filesystem                   s390x   3.2-35.fc23                  build  1.0 M
DEBUG util.py:399:   gc                           s390x   7.4.2-4.fc23                 build   96 k
DEBUG util.py:399:   gdb                          s390x   7.10.1-30.fc23               build  2.8 M
DEBUG util.py:399:   gdbm                         s390x   1.11-6.fc23                  build  138 k
DEBUG util.py:399:   ghc-srpm-macros              noarch  1.4.2-2.fc23                 build  7.1 k
DEBUG util.py:399:   glib2                        s390x   2.46.2-1.fc23                build  2.2 M
DEBUG util.py:399:   glibc                        s390x   2.22-9.fc23                  build  3.4 M
DEBUG util.py:399:   glibc-common                 s390x   2.22-9.fc23                  build   11 M
DEBUG util.py:399:   glibc-devel                  s390x   2.22-9.fc23                  build  916 k
DEBUG util.py:399:   glibc-headers                s390x   2.22-9.fc23                  build  477 k
DEBUG util.py:399:   gmp                          s390x   1:6.0.0-12.fc23              build  283 k
DEBUG util.py:399:   gnat-srpm-macros             noarch  2-1.fc23                     build  7.3 k
DEBUG util.py:399:   gnupg2                       s390x   2.1.9-1.fc23                 build  1.8 M
DEBUG util.py:399:   gnutls                       s390x   3.4.8-1.fc23                 build  609 k
DEBUG util.py:399:   go-srpm-macros               noarch  2-3.fc23                     build  7.0 k
DEBUG util.py:399:   groff-base                   s390x   1.22.3-6.fc23                build  1.0 M
DEBUG util.py:399:   guile                        s390x   5:2.0.11-7.fc23              build  3.9 M
DEBUG util.py:399:   isl                          s390x   0.14-4.fc23                  build  473 k
DEBUG util.py:399:   kernel-headers               s390x   4.3.5-300.fc23               build  992 k
DEBUG util.py:399:   keyutils-libs                s390x   1.5.9-7.fc23                 build   44 k
DEBUG util.py:399:   krb5-libs                    s390x   1.14-7.fc23                  build  825 k
DEBUG util.py:399:   libacl                       s390x   2.2.52-10.fc23               build   30 k
DEBUG util.py:399:   libarchive                   s390x   3.1.2-14.fc23                build  313 k
DEBUG util.py:399:   libassuan                    s390x   2.4.2-1.fc23                 build   72 k
DEBUG util.py:399:   libatomic_ops                s390x   7.4.2-6.fc23                 build   30 k
DEBUG util.py:399:   libattr                      s390x   2.4.47-14.fc23               build   23 k
DEBUG util.py:399:   libbabeltrace                s390x   1.2.4-2.fc23                 build  145 k
DEBUG util.py:399:   libblkid                     s390x   2.27.1-2.fc23                build  175 k
DEBUG util.py:399:   libcap                       s390x   2.24-8.fc23                  build   50 k
DEBUG util.py:399:   libcap-ng                    s390x   0.7.7-2.fc23                 build   28 k
DEBUG util.py:399:   libcom_err                   s390x   1.42.13-3.fc23               build   44 k
DEBUG util.py:399:   libcurl                      s390x   7.43.0-5.fc23                build  248 k
DEBUG util.py:399:   libdb                        s390x   5.3.28-13.fc23               build  691 k
DEBUG util.py:399:   libdb-utils                  s390x   5.3.28-13.fc23               build  108 k
DEBUG util.py:399:   libfdisk                     s390x   2.27.1-2.fc23                build  213 k
DEBUG util.py:399:   libffi                       s390x   3.1-8.fc23                   build   32 k
DEBUG util.py:399:   libgcc                       s390x   5.3.1-2.fc23                 build   74 k
DEBUG util.py:399:   libgcrypt                    s390x   1.6.4-1.fc23                 build  346 k
DEBUG util.py:399:   libgomp                      s390x   5.3.1-2.fc23                 build  151 k
DEBUG util.py:399:   libgpg-error                 s390x   1.21-1.fc23                  build  152 k
DEBUG util.py:399:   libidn                       s390x   1.32-1.fc23                  build  230 k
DEBUG util.py:399:   libksba                      s390x   1.3.3-2.fc23                 build  123 k
DEBUG util.py:399:   libmetalink                  s390x   0.1.2-8.fc23                 build   28 k
DEBUG util.py:399:   libmount                     s390x   2.27.1-2.fc23                build  190 k
DEBUG util.py:399:   libmpc                       s390x   1.0.2-4.fc23                 build   52 k
DEBUG util.py:399:   libnghttp2                   s390x   1.7.1-1.fc23                 build   64 k
DEBUG util.py:399:   libpwquality                 s390x   1.3.0-2.fc23                 build   92 k
DEBUG util.py:399:   libsecret                    s390x   0.18.3-1.fc23                build  149 k
DEBUG util.py:399:   libselinux                   s390x   2.4-4.fc23                   build  143 k
DEBUG util.py:399:   libsemanage                  s390x   2.4-4.fc23                   build  142 k
DEBUG util.py:399:   libsepol                     s390x   2.4-1.fc23                   build  246 k
DEBUG util.py:399:   libsmartcols                 s390x   2.27.1-2.fc23                build  136 k
DEBUG util.py:399:   libssh2                      s390x   1.6.0-3.fc23                 build  142 k
DEBUG util.py:399:   libstdc++                    s390x   5.3.1-2.fc23                 build  442 k
DEBUG util.py:399:   libstdc++-devel              s390x   5.3.1-2.fc23                 build  1.7 M
DEBUG util.py:399:   libtasn1                     s390x   4.5-2.fc23                   build  322 k
DEBUG util.py:399:   libtool-ltdl                 s390x   2.4.6-8.fc23                 build   52 k
DEBUG util.py:399:   libunistring                 s390x   0.9.4-2.fc23                 build  305 k
DEBUG util.py:399:   libuser                      s390x   0.62-1.fc23                  build  392 k
DEBUG util.py:399:   libutempter                  s390x   1.1.6-7.fc23                 build   28 k
DEBUG util.py:399:   libuuid                      s390x   2.27.1-2.fc23                build   78 k
DEBUG util.py:399:   libverto                     s390x   0.2.6-5.fc23                 build   19 k
DEBUG util.py:399:   libxml2                      s390x   2.9.3-2.fc23                 build  651 k
DEBUG util.py:399:   lua                          s390x   5.3.2-2.fc23                 build  289 k
DEBUG util.py:399:   lzo                          s390x   2.08-5.fc23                  build   65 k
DEBUG util.py:399:   mpfr                         s390x   3.1.3-2.fc23                 build  213 k
DEBUG util.py:399:   ncurses                      s390x   5.9-21.20150214.fc23         build  318 k
DEBUG util.py:399:   ncurses-base                 noarch  5.9-21.20150214.fc23         build   74 k
DEBUG util.py:399:   ncurses-libs                 s390x   5.9-21.20150214.fc23         build  301 k
DEBUG util.py:399:   nettle                       s390x   3.2-1.fc23                   build  324 k
DEBUG util.py:399:   npth                         s390x   1.2-2.fc23                   build   23 k
DEBUG util.py:399:   nspr                         s390x   4.11.0-1.fc23                build  134 k
DEBUG util.py:399:   nss                          s390x   3.22.0-1.0.fc23              build  829 k
DEBUG util.py:399:   nss-softokn                  s390x   3.22.0-1.0.fc23              build  302 k
DEBUG util.py:399:   nss-softokn-freebl           s390x   3.22.0-1.0.fc23              build  204 k
DEBUG util.py:399:   nss-sysinit                  s390x   3.22.0-1.0.fc23              build   55 k
DEBUG util.py:399:   nss-tools                    s390x   3.22.0-1.0.fc23              build  499 k
DEBUG util.py:399:   nss-util                     s390x   3.22.0-1.0.fc23              build   80 k
DEBUG util.py:399:   ocaml-srpm-macros            noarch  2-3.fc23                     build  7.0 k
DEBUG util.py:399:   openldap                     s390x   2.4.40-14.fc23               build  329 k
DEBUG util.py:399:   openssl-libs                 s390x   1:1.0.2f-1.fc23              build  938 k
DEBUG util.py:399:   p11-kit                      s390x   0.23.2-1.fc23                build  142 k
DEBUG util.py:399:   p11-kit-trust                s390x   0.23.2-1.fc23                build  125 k
DEBUG util.py:399:   pam                          s390x   1.2.1-2.fc23                 build  713 k
DEBUG util.py:399:   pcre                         s390x   8.38-5.fc23                  build  349 k
DEBUG util.py:399:   perl                         s390x   4:5.22.1-350.fc23            build  6.8 M
DEBUG util.py:399:   perl-Carp                    noarch  1.38-1.fc23                  build   27 k
DEBUG util.py:399:   perl-Encode                  s390x   3:2.80-4.fc23                build  1.5 M
DEBUG util.py:399:   perl-Exporter                noarch  5.72-347.fc23                build   32 k
DEBUG util.py:399:   perl-File-Path               noarch  2.09-347.fc23                build   30 k
DEBUG util.py:399:   perl-File-Temp               noarch  0.23.04-346.fc23             build   60 k
DEBUG util.py:399:   perl-Getopt-Long             noarch  2.48-1.fc23                  build   60 k
DEBUG util.py:399:   perl-HTTP-Tiny               noarch  0.056-3.fc23                 build   52 k
DEBUG util.py:399:   perl-MIME-Base64             s390x   3.15-348.fc23                build   27 k
DEBUG util.py:399:   perl-PathTools               s390x   3.62-1.fc23                  build   87 k
DEBUG util.py:399:   perl-Pod-Escapes             noarch  1:1.07-348.fc23              build   18 k
DEBUG util.py:399:   perl-Pod-Perldoc             noarch  3.25-347.fc23                build   83 k
DEBUG util.py:399:   perl-Pod-Simple              noarch  1:3.31-1.fc23                build  210 k
DEBUG util.py:399:   perl-Pod-Usage               noarch  4:1.67-3.fc23                build   32 k
DEBUG util.py:399:   perl-Scalar-List-Utils       s390x   2:1.43-1.fc23                build   60 k
DEBUG util.py:399:   perl-Socket                  s390x   3:2.021-1.fc23               build   53 k
DEBUG util.py:399:   perl-Storable                s390x   1:2.53-346.fc23              build   79 k
DEBUG util.py:399:   perl-Term-ANSIColor          noarch  4.03-346.fc23                build   44 k
DEBUG util.py:399:   perl-Term-Cap                noarch  1.17-1.fc23                  build   21 k
DEBUG util.py:399:   perl-Text-ParseWords         noarch  3.30-346.fc23                build   16 k
DEBUG util.py:399:   perl-Text-Tabs+Wrap          noarch  2013.0523-346.fc23           build   22 k
DEBUG util.py:399:   perl-Time-HiRes              s390x   1.9728-1.fc23                build   49 k
DEBUG util.py:399:   perl-Time-Local              noarch  1.2300-346.fc23              build   27 k
DEBUG util.py:399:   perl-Unicode-Normalize       s390x   1.24-1.fc23                  build   81 k
DEBUG util.py:399:   perl-constant                noarch  1.33-347.fc23                build   23 k
DEBUG util.py:399:   perl-generators              noarch  1.06-1.fc23                  build   14 k
DEBUG util.py:399:   perl-libs                    s390x   4:5.22.1-350.fc23            build  801 k
DEBUG util.py:399:   perl-macros                  s390x   4:5.22.1-350.fc23            build   56 k
DEBUG util.py:399:   perl-parent                  noarch  1:0.234-3.fc23               build   17 k
DEBUG util.py:399:   perl-podlators               noarch  2.5.3-347.fc23               build  111 k
DEBUG util.py:399:   perl-srpm-macros             noarch  1-17.fc23                    build  8.6 k
DEBUG util.py:399:   perl-threads                 s390x   1:2.02-2.fc23                build   55 k
DEBUG util.py:399:   perl-threads-shared          s390x   1.48-346.fc23                build   42 k
DEBUG util.py:399:   pinentry                     s390x   0.9.6-4.fc23                 build   80 k
DEBUG util.py:399:   pkgconfig                    s390x   1:0.28-9.fc23                build   58 k
DEBUG util.py:399:   popt                         s390x   1.16-6.fc23                  build   56 k
DEBUG util.py:399:   python3                      s390x   3.4.3-5.fc23                 build   52 k
DEBUG util.py:399:   python3-libs                 s390x   3.4.3-5.fc23                 build  6.6 M
DEBUG util.py:399:   python3-pip                  noarch  7.1.0-1.fc23                 build  1.6 M
DEBUG util.py:399:   python3-setuptools           noarch  18.0.1-2.fc23                build  405 k
DEBUG util.py:399:   readline                     s390x   6.3-6.fc23                   build  207 k
DEBUG util.py:399:   rpm                          s390x   4.13.0-0.rc1.11.fc23         build  508 k
DEBUG util.py:399:   rpm-build-libs               s390x   4.13.0-0.rc1.11.fc23         build  111 k
DEBUG util.py:399:   rpm-libs                     s390x   4.13.0-0.rc1.11.fc23         build  284 k
DEBUG util.py:399:   rpm-plugin-selinux           s390x   4.13.0-0.rc1.11.fc23         build   50 k
DEBUG util.py:399:   setup                        noarch  2.9.8-2.fc23                 build  171 k
DEBUG util.py:399:   shared-mime-info             s390x   1.5-2.fc23                   build  300 k
DEBUG util.py:399:   sqlite                       s390x   3.10.2-1.fc23                build  461 k
DEBUG util.py:399:   systemd-libs                 s390x   222-14.fc23                  build  444 k
DEBUG util.py:399:   tzdata                       noarch  2016a-1.fc23                 build  408 k
DEBUG util.py:399:   ustr                         s390x   1.0.4-18.fc22                build   94 k
DEBUG util.py:399:   xz-libs                      s390x   5.2.1-3.fc23                 build   92 k
DEBUG util.py:399:   zip                          s390x   3.0-15.fc23                  build  266 k
DEBUG util.py:399:   zlib                         s390x   1.2.8-9.fc23                 build   96 k
DEBUG util.py:399:  Transaction Summary
DEBUG util.py:399:  ================================================================================
DEBUG util.py:399:  Install  24 Packages (+161 Dependent packages)
DEBUG util.py:399:  Total download size: 122 M
DEBUG util.py:399:  Installed size: 474 M
DEBUG util.py:399:  warning: /etc/hosts created as /etc/hosts.rpmnew
DEBUG util.py:399:  Cannot open audit interface - aborting.
DEBUG util.py:399:  Cannot open audit interface - aborting.
DEBUG util.py:399:  warning: group utempter does not exist - using root
DEBUG util.py:399:  warning: group utmp does not exist - using root
DEBUG util.py:399:  Installed:
DEBUG util.py:399:    bash.s390x 0:4.3.42-3.fc23              bzip2.s390x 0:1.0.6-18.fc23          
DEBUG util.py:399:    coreutils.s390x 0:8.24-6.fc23           cpio.s390x 0:2.11-36.fc23            
DEBUG util.py:399:    diffutils.s390x 0:3.3-12.fc23           fedora-release.noarch 0:23-1         
DEBUG util.py:399:    findutils.s390x 1:4.5.16-1.fc23         gawk.s390x 0:4.1.3-2.fc23            
DEBUG util.py:399:    gcc.s390x 0:5.3.1-2.fc23                gcc-c++.s390x 0:5.3.1-2.fc23         
DEBUG util.py:399:    grep.s390x 0:2.22-6.fc23                gzip.s390x 0:1.6-9.fc23              
DEBUG util.py:399:    info.s390x 0:6.0-2.fc23                 make.s390x 1:4.0-5.1.fc23            
DEBUG util.py:399:    patch.s390x 0:2.7.5-2.fc23              redhat-rpm-config.noarch 0:36-1.fc23 
DEBUG util.py:399:    rpm-build.s390x 0:4.13.0-0.rc1.11.fc23  sed.s390x 0:4.2.2-11.fc23            
DEBUG util.py:399:    shadow-utils.s390x 2:4.2.1-3.fc23       tar.s390x 2:1.28-6.fc23              
DEBUG util.py:399:    unzip.s390x 0:6.0-24.fc23               util-linux.s390x 0:2.27.1-2.fc23     
DEBUG util.py:399:    which.s390x 0:2.20-12.fc23              xz.s390x 0:5.2.1-3.fc23              
DEBUG util.py:399:  Dependency Installed:
DEBUG util.py:399:    audit-libs.s390x 0:2.4.5-1.fc23                                               
DEBUG util.py:399:    basesystem.noarch 0:11-1.fc23                                                 
DEBUG util.py:399:    binutils.s390x 0:2.25-15.fc23                                                 
DEBUG util.py:399:    bzip2-libs.s390x 0:1.0.6-18.fc23                                              
DEBUG util.py:399:    ca-certificates.noarch 0:2015.2.6-1.0.fc23                                    
DEBUG util.py:399:    chkconfig.s390x 0:1.7-1.fc23                                                  
DEBUG util.py:399:    cpp.s390x 0:5.3.1-2.fc23                                                      
DEBUG util.py:399:    cracklib.s390x 0:2.9.1-6.fc23                                                 
DEBUG util.py:399:    cracklib-dicts.s390x 0:2.9.1-6.fc23                                           
DEBUG util.py:399:    crypto-policies.noarch 0:20151104-1.gitf1cba5f.fc23                           
DEBUG util.py:399:    curl.s390x 0:7.43.0-5.fc23                                                    
DEBUG util.py:399:    cyrus-sasl-lib.s390x 0:2.1.26-25.2.fc23                                       
DEBUG util.py:399:    dwz.s390x 0:0.12-1.fc23                                                       
DEBUG util.py:399:    elfutils.s390x 0:0.165-2.fc23                                                 
DEBUG util.py:399:    elfutils-default-yama-scope.noarch 0:0.165-2.fc23                             
DEBUG util.py:399:    elfutils-libelf.s390x 0:0.165-2.fc23                                          
DEBUG util.py:399:    elfutils-libs.s390x 0:0.165-2.fc23                                            
DEBUG util.py:399:    emacs-filesystem.noarch 1:24.5-7.fc23                                         
DEBUG util.py:399:    expat.s390x 0:2.1.0-12.fc23                                                   
DEBUG util.py:399:    fedora-repos.noarch 0:23-1                                                    
DEBUG util.py:399:    file.s390x 0:5.22-6.fc23                                                      
DEBUG util.py:399:    file-libs.s390x 0:5.22-6.fc23                                                 
DEBUG util.py:399:    filesystem.s390x 0:3.2-35.fc23                                                
DEBUG util.py:399:    gc.s390x 0:7.4.2-4.fc23                                                       
DEBUG util.py:399:    gdb.s390x 0:7.10.1-30.fc23                                                    
DEBUG util.py:399:    gdbm.s390x 0:1.11-6.fc23                                                      
DEBUG util.py:399:    ghc-srpm-macros.noarch 0:1.4.2-2.fc23                                         
DEBUG util.py:399:    glib2.s390x 0:2.46.2-1.fc23                                                   
DEBUG util.py:399:    glibc.s390x 0:2.22-9.fc23                                                     
DEBUG util.py:399:    glibc-common.s390x 0:2.22-9.fc23                                              
DEBUG util.py:399:    glibc-devel.s390x 0:2.22-9.fc23                                               
DEBUG util.py:399:    glibc-headers.s390x 0:2.22-9.fc23                                             
DEBUG util.py:399:    gmp.s390x 1:6.0.0-12.fc23                                                     
DEBUG util.py:399:    gnat-srpm-macros.noarch 0:2-1.fc23                                            
DEBUG util.py:399:    gnupg2.s390x 0:2.1.9-1.fc23                                                   
DEBUG util.py:399:    gnutls.s390x 0:3.4.8-1.fc23                                                   
DEBUG util.py:399:    go-srpm-macros.noarch 0:2-3.fc23                                              
DEBUG util.py:399:    groff-base.s390x 0:1.22.3-6.fc23                                              
DEBUG util.py:399:    guile.s390x 5:2.0.11-7.fc23                                                   
DEBUG util.py:399:    isl.s390x 0:0.14-4.fc23                                                       
DEBUG util.py:399:    kernel-headers.s390x 0:4.3.5-300.fc23                                         
DEBUG util.py:399:    keyutils-libs.s390x 0:1.5.9-7.fc23                                            
DEBUG util.py:399:    krb5-libs.s390x 0:1.14-7.fc23                                                 
DEBUG util.py:399:    libacl.s390x 0:2.2.52-10.fc23                                                 
DEBUG util.py:399:    libarchive.s390x 0:3.1.2-14.fc23                                              
DEBUG util.py:399:    libassuan.s390x 0:2.4.2-1.fc23                                                
DEBUG util.py:399:    libatomic_ops.s390x 0:7.4.2-6.fc23                                            
DEBUG util.py:399:    libattr.s390x 0:2.4.47-14.fc23                                                
DEBUG util.py:399:    libbabeltrace.s390x 0:1.2.4-2.fc23                                            
DEBUG util.py:399:    libblkid.s390x 0:2.27.1-2.fc23                                                
DEBUG util.py:399:    libcap.s390x 0:2.24-8.fc23                                                    
DEBUG util.py:399:    libcap-ng.s390x 0:0.7.7-2.fc23                                                
DEBUG util.py:399:    libcom_err.s390x 0:1.42.13-3.fc23                                             
DEBUG util.py:399:    libcurl.s390x 0:7.43.0-5.fc23                                                 
DEBUG util.py:399:    libdb.s390x 0:5.3.28-13.fc23                                                  
DEBUG util.py:399:    libdb-utils.s390x 0:5.3.28-13.fc23                                            
DEBUG util.py:399:    libfdisk.s390x 0:2.27.1-2.fc23                                                
DEBUG util.py:399:    libffi.s390x 0:3.1-8.fc23                                                     
DEBUG util.py:399:    libgcc.s390x 0:5.3.1-2.fc23                                                   
DEBUG util.py:399:    libgcrypt.s390x 0:1.6.4-1.fc23                                                
DEBUG util.py:399:    libgomp.s390x 0:5.3.1-2.fc23                                                  
DEBUG util.py:399:    libgpg-error.s390x 0:1.21-1.fc23                                              
DEBUG util.py:399:    libidn.s390x 0:1.32-1.fc23                                                    
DEBUG util.py:399:    libksba.s390x 0:1.3.3-2.fc23                                                  
DEBUG util.py:399:    libmetalink.s390x 0:0.1.2-8.fc23                                              
DEBUG util.py:399:    libmount.s390x 0:2.27.1-2.fc23                                                
DEBUG util.py:399:    libmpc.s390x 0:1.0.2-4.fc23                                                   
DEBUG util.py:399:    libnghttp2.s390x 0:1.7.1-1.fc23                                               
DEBUG util.py:399:    libpwquality.s390x 0:1.3.0-2.fc23                                             
DEBUG util.py:399:    libsecret.s390x 0:0.18.3-1.fc23                                               
DEBUG util.py:399:    libselinux.s390x 0:2.4-4.fc23                                                 
DEBUG util.py:399:    libsemanage.s390x 0:2.4-4.fc23                                                
DEBUG util.py:399:    libsepol.s390x 0:2.4-1.fc23                                                   
DEBUG util.py:399:    libsmartcols.s390x 0:2.27.1-2.fc23                                            
DEBUG util.py:399:    libssh2.s390x 0:1.6.0-3.fc23                                                  
DEBUG util.py:399:    libstdc++.s390x 0:5.3.1-2.fc23                                                
DEBUG util.py:399:    libstdc++-devel.s390x 0:5.3.1-2.fc23                                          
DEBUG util.py:399:    libtasn1.s390x 0:4.5-2.fc23                                                   
DEBUG util.py:399:    libtool-ltdl.s390x 0:2.4.6-8.fc23                                             
DEBUG util.py:399:    libunistring.s390x 0:0.9.4-2.fc23                                             
DEBUG util.py:399:    libuser.s390x 0:0.62-1.fc23                                                   
DEBUG util.py:399:    libutempter.s390x 0:1.1.6-7.fc23                                              
DEBUG util.py:399:    libuuid.s390x 0:2.27.1-2.fc23                                                 
DEBUG util.py:399:    libverto.s390x 0:0.2.6-5.fc23                                                 
DEBUG util.py:399:    libxml2.s390x 0:2.9.3-2.fc23                                                  
DEBUG util.py:399:    lua.s390x 0:5.3.2-2.fc23                                                      
DEBUG util.py:399:    lzo.s390x 0:2.08-5.fc23                                                       
DEBUG util.py:399:    mpfr.s390x 0:3.1.3-2.fc23                                                     
DEBUG util.py:399:    ncurses.s390x 0:5.9-21.20150214.fc23                                          
DEBUG util.py:399:    ncurses-base.noarch 0:5.9-21.20150214.fc23                                    
DEBUG util.py:399:    ncurses-libs.s390x 0:5.9-21.20150214.fc23                                     
DEBUG util.py:399:    nettle.s390x 0:3.2-1.fc23                                                     
DEBUG util.py:399:    npth.s390x 0:1.2-2.fc23                                                       
DEBUG util.py:399:    nspr.s390x 0:4.11.0-1.fc23                                                    
DEBUG util.py:399:    nss.s390x 0:3.22.0-1.0.fc23                                                   
DEBUG util.py:399:    nss-softokn.s390x 0:3.22.0-1.0.fc23                                           
DEBUG util.py:399:    nss-softokn-freebl.s390x 0:3.22.0-1.0.fc23                                    
DEBUG util.py:399:    nss-sysinit.s390x 0:3.22.0-1.0.fc23                                           
DEBUG util.py:399:    nss-tools.s390x 0:3.22.0-1.0.fc23                                             
DEBUG util.py:399:    nss-util.s390x 0:3.22.0-1.0.fc23                                              
DEBUG util.py:399:    ocaml-srpm-macros.noarch 0:2-3.fc23                                           
DEBUG util.py:399:    openldap.s390x 0:2.4.40-14.fc23                                               
DEBUG util.py:399:    openssl-libs.s390x 1:1.0.2f-1.fc23                                            
DEBUG util.py:399:    p11-kit.s390x 0:0.23.2-1.fc23                                                 
DEBUG util.py:399:    p11-kit-trust.s390x 0:0.23.2-1.fc23                                           
DEBUG util.py:399:    pam.s390x 0:1.2.1-2.fc23                                                      
DEBUG util.py:399:    pcre.s390x 0:8.38-5.fc23                                                      
DEBUG util.py:399:    perl.s390x 4:5.22.1-350.fc23                                                  
DEBUG util.py:399:    perl-Carp.noarch 0:1.38-1.fc23                                                
DEBUG util.py:399:    perl-Encode.s390x 3:2.80-4.fc23                                               
DEBUG util.py:399:    perl-Exporter.noarch 0:5.72-347.fc23                                          
DEBUG util.py:399:    perl-File-Path.noarch 0:2.09-347.fc23                                         
DEBUG util.py:399:    perl-File-Temp.noarch 0:0.23.04-346.fc23                                      
DEBUG util.py:399:    perl-Getopt-Long.noarch 0:2.48-1.fc23                                         
DEBUG util.py:399:    perl-HTTP-Tiny.noarch 0:0.056-3.fc23                                          
DEBUG util.py:399:    perl-MIME-Base64.s390x 0:3.15-348.fc23                                        
DEBUG util.py:399:    perl-PathTools.s390x 0:3.62-1.fc23                                            
DEBUG util.py:399:    perl-Pod-Escapes.noarch 1:1.07-348.fc23                                       
DEBUG util.py:399:    perl-Pod-Perldoc.noarch 0:3.25-347.fc23                                       
DEBUG util.py:399:    perl-Pod-Simple.noarch 1:3.31-1.fc23                                          
DEBUG util.py:399:    perl-Pod-Usage.noarch 4:1.67-3.fc23                                           
DEBUG util.py:399:    perl-Scalar-List-Utils.s390x 2:1.43-1.fc23                                    
DEBUG util.py:399:    perl-Socket.s390x 3:2.021-1.fc23                                              
DEBUG util.py:399:    perl-Storable.s390x 1:2.53-346.fc23                                           
DEBUG util.py:399:    perl-Term-ANSIColor.noarch 0:4.03-346.fc23                                    
DEBUG util.py:399:    perl-Term-Cap.noarch 0:1.17-1.fc23                                            
DEBUG util.py:399:    perl-Text-ParseWords.noarch 0:3.30-346.fc23                                   
DEBUG util.py:399:    perl-Text-Tabs+Wrap.noarch 0:2013.0523-346.fc23                               
DEBUG util.py:399:    perl-Time-HiRes.s390x 0:1.9728-1.fc23                                         
DEBUG util.py:399:    perl-Time-Local.noarch 0:1.2300-346.fc23                                      
DEBUG util.py:399:    perl-Unicode-Normalize.s390x 0:1.24-1.fc23                                    
DEBUG util.py:399:    perl-constant.noarch 0:1.33-347.fc23                                          
DEBUG util.py:399:    perl-generators.noarch 0:1.06-1.fc23                                          
DEBUG util.py:399:    perl-libs.s390x 4:5.22.1-350.fc23                                             
DEBUG util.py:399:    perl-macros.s390x 4:5.22.1-350.fc23                                           
DEBUG util.py:399:    perl-parent.noarch 1:0.234-3.fc23                                             
DEBUG util.py:399:    perl-podlators.noarch 0:2.5.3-347.fc23                                        
DEBUG util.py:399:    perl-srpm-macros.noarch 0:1-17.fc23                                           
DEBUG util.py:399:    perl-threads.s390x 1:2.02-2.fc23                                              
DEBUG util.py:399:    perl-threads-shared.s390x 0:1.48-346.fc23                                     
DEBUG util.py:399:    pinentry.s390x 0:0.9.6-4.fc23                                                 
DEBUG util.py:399:    pkgconfig.s390x 1:0.28-9.fc23                                                 
DEBUG util.py:399:    popt.s390x 0:1.16-6.fc23                                                      
DEBUG util.py:399:    python3.s390x 0:3.4.3-5.fc23                                                  
DEBUG util.py:399:    python3-libs.s390x 0:3.4.3-5.fc23                                             
DEBUG util.py:399:    python3-pip.noarch 0:7.1.0-1.fc23                                             
DEBUG util.py:399:    python3-setuptools.noarch 0:18.0.1-2.fc23                                     
DEBUG util.py:399:    readline.s390x 0:6.3-6.fc23                                                   
DEBUG util.py:399:    rpm.s390x 0:4.13.0-0.rc1.11.fc23                                              
DEBUG util.py:399:    rpm-build-libs.s390x 0:4.13.0-0.rc1.11.fc23                                   
DEBUG util.py:399:    rpm-libs.s390x 0:4.13.0-0.rc1.11.fc23                                         
DEBUG util.py:399:    rpm-plugin-selinux.s390x 0:4.13.0-0.rc1.11.fc23                               
DEBUG util.py:399:    setup.noarch 0:2.9.8-2.fc23                                                   
DEBUG util.py:399:    shared-mime-info.s390x 0:1.5-2.fc23                                           
DEBUG util.py:399:    sqlite.s390x 0:3.10.2-1.fc23                                                  
DEBUG util.py:399:    systemd-libs.s390x 0:222-14.fc23                                              
DEBUG util.py:399:    tzdata.noarch 0:2016a-1.fc23                                                  
DEBUG util.py:399:    ustr.s390x 0:1.0.4-18.fc22                                                    
DEBUG util.py:399:    xz-libs.s390x 0:5.2.1-3.fc23                                                  
DEBUG util.py:399:    zip.s390x 0:3.0-15.fc23                                                       
DEBUG util.py:399:    zlib.s390x 0:1.2.8-9.fc23                                                     
DEBUG util.py:521:  Child return code was: 0
DEBUG util.py:108:  touching file: /var/lib/mock/f23-build-548648-345452/root/etc/os-release
...


and the build fails on s390x, s390 task doesn't have this problem. After switching back to previous glibc-2.22-7.fc23 in the build repo, the task succeeds (http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2085318)

I was able to reproduce the behaviour on a f23 guest (not fully up-to-date) with

[sharkcz@devel4 ~]$ cat koji-2085257.cfg
# Auto-generated by the Koji build system

config_opts['chroothome'] = '/builddir'
config_opts['use_host_resolv'] = False
config_opts['basedir'] = '/var/lib/mock'
config_opts['rpmbuild_timeout'] = 86400
config_opts['yum.conf'] = '[main]\ncachedir=/var/cache/yum\ndebuglevel=1\nlogfile=/var/log/yum.log\nreposdir=/dev/null\nretries=20\nobsoletes=1\ngpgcheck=0\nassumeyes=1\n\n# repos\n\n[build]\nname=build\nbaseurl=http://s390pkgs.fedoraproject.org//repos/f23-build/345452/s390x\n'
config_opts['chroot_setup_cmd'] = 'groupinstall build'
config_opts['target_arch'] = 's390x'koji-2085257.cfg
config_opts['root'] = 'f23-build-repo_345452'

config_opts['plugin_conf']['root_cache_enable'] = False
config_opts['plugin_conf']['yum_cache_enable'] = False
config_opts['plugin_conf']['ccache_enable'] = False

config_opts['macros']['%_host'] = 's390x-koji-linux-gnu'
config_opts['macros']['%_host_cpu'] = 's390x'
config_opts['macros']['%vendor'] = 'Koji'
config_opts['macros']['%distribution'] = 'Koji Testing'
config_opts['macros']['%_topdir'] = '/builddir/build'
config_opts['macros']['%_rpmfilename'] = '%%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm'
config_opts['macros']['%packager'] = 'Koji'

as mock config (created by "s390-koji mock-config --task 2085257"), used as "mock -r koji-2085257.cfg init". After updating the guest it got the same situation - "Cannot open audit interface" when running sudo or su or other tools. After a hard reboot the issue went away. It looks to me as a bad interaction between the chroot and the host ...


Version-Release number of selected component (if applicable):
glibc-2.22-9.fc23
Comment 1 Florian Weimer 2016-02-19 11:25:25 EST
Can you provide an strace from the su failure, and from auditd at the same time?  Does audit_open log anything?  Thanks.
Comment 2 Dan Horák 2016-02-19 11:49:34 EST
The guest now works again, so reproducing inside the f23 chroot on the f23 based builder. groupadd is the command failing during the chroot creation by mock.

bash-4.3# strace -ff groupadd foo
execve("/usr/sbin/groupadd", ["groupadd", "foo"], [/* 26 vars */]) = 0
brk(NULL)                               = 0x2aa021cc000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x3fffd244000
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x3fffd242000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY|O_CLOEXEC) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=14448, ...}) = 0
mmap(NULL, 14448, PROT_READ, MAP_PRIVATE, 3, 0) = 0x3fffd23e000
close(3)                                = 0
open("/lib64/libaudit.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\2\1\0\0\0\0\0\0\0\0\0\0\3\0\26\0\0\0\1\0\0\0\0\0\0. "..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=122000, ...}) = 0
mmap(NULL, 163888, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x3fffd215000
mmap(0x3fffd232000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1c000) = 0x3fffd232000
mmap(0x3fffd234000, 36912, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x3fffd234000
close(3)                                = 0
open("/lib64/libselinux.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\2\1\0\0\0\0\0\0\0\0\0\0\3\0\26\0\0\0\1\0\0\0\0\0\0j "..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=153040, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x3fffd214000
mmap(NULL, 156392, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x3fffd1ed000
mmap(0x3fffd210000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x23000) = 0x3fffd210000
mmap(0x3fffd212000, 4840, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x3fffd212000
close(3)                                = 0
open("/lib64/libc.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\2\1\3\0\0\0\0\0\0\0\0\0\3\0\26\0\0\0\1\0\0\0\0\0\2+\320"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=2114832, ...}) = 0
mmap(NULL, 1841232, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x3fffd02b000
mmap(0x3fffd1e3000, 24576, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1b7000) = 0x3fffd1e3000
mmap(0x3fffd1e9000, 14416, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x3fffd1e9000
close(3)                                = 0
open("/lib64/libpcre.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\2\1\0\0\0\0\0\0\0\0\0\0\3\0\26\0\0\0\1\0\0\0\0\0\0\25\240"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=318768, ...}) = 0
mmap(NULL, 319544, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x3fffcfdc000
mmap(0x3fffd029000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x4c000) = 0x3fffd029000
close(3)                                = 0
open("/lib64/libdl.so.2", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\2\1\0\0\0\0\0\0\0\0\0\0\3\0\26\0\0\0\1\0\0\0\0\0\0\16\350"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=19696, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x3fffcfdb000
mmap(NULL, 16712, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x3fffcfd6000
mmap(0x3fffcfd9000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2000) = 0x3fffcfd9000
close(3)                                = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x3fffcfd5000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x3fffcfd4000
mprotect(0x3fffd1e3000, 16384, PROT_READ) = 0
mprotect(0x3fffcfd9000, 4096, PROT_READ) = 0
mprotect(0x3fffd029000, 4096, PROT_READ) = 0
mprotect(0x3fffd210000, 4096, PROT_READ) = 0
mprotect(0x3fffd232000, 4096, PROT_READ) = 0
mprotect(0x2aa00578000, 4096, PROT_READ) = 0
mprotect(0x3fffd26e000, 4096, PROT_READ) = 0
munmap(0x3fffd23e000, 14448)            = 0
statfs("/sys/fs/selinux", 0x3ffffc7abf8) = -1 ENOENT (No such file or directory)
statfs("/selinux", 0x3ffffc7abf8)       = -1 ENOENT (No such file or directory)
brk(NULL)                               = 0x2aa021cc000
brk(0x2aa021ed000)                      = 0x2aa021ed000
open("/proc/filesystems", O_RDONLY)     = -1 ENOENT (No such file or directory)
open("/proc/mounts", O_RDONLY)          = -1 ENOENT (No such file or directory)
access("/etc/selinux/config", F_OK)     = -1 ENOENT (No such file or directory)
open("/usr/lib/locale/locale-archive", O_RDONLY|O_CLOEXEC) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=110439232, ...}) = 0
mmap(NULL, 110439232, PROT_READ, MAP_PRIVATE, 3, 0) = 0x3fff6681000
close(3)                                = 0
setup()                                 = -1 ENOSYS (Function not implemented)
open("/usr/share/locale/locale.alias", O_RDONLY|O_CLOEXEC) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=2997, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x3fffd241000
read(3, "# Locale name alias data base.\n#"..., 4096) = 2997
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0x3fffd241000, 4096)             = 0
open("/usr/share/locale/en_US.UTF-8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en_US.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en_US/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en.UTF-8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en_US.UTF-8/LC_MESSAGES/shadow.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en_US.utf8/LC_MESSAGES/shadow.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en_US/LC_MESSAGES/shadow.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en.UTF-8/LC_MESSAGES/shadow.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en.utf8/LC_MESSAGES/shadow.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en/LC_MESSAGES/shadow.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
write(2, "Cannot open audit interface - ab"..., 40Cannot open audit interface - aborting.
) = 40
exit_group(1)                           = ?
+++ exited with 1 +++
Comment 3 Dan Horák 2016-02-19 12:04:46 EST
Seems I have a reproducer
- install f23 GA
- do "dnf update glibc" to get glibc-2.22-9.fc23.s390x from updates
- do "groupadd foo"
- enjoy "Cannot open audit interface - aborting."

But more things are broken, eg.

[root@devel10 ~]# ip addr
Cannot open netlink socket: Function not implemented
Comment 4 Florian Weimer 2016-02-19 12:25:58 EST
(In reply to Dan Horák from comment #3)
> Seems I have a reproducer
> - install f23 GA
> - do "dnf update glibc" to get glibc-2.22-9.fc23.s390x from updates
> - do "groupadd foo"
> - enjoy "Cannot open audit interface - aborting."
> 
> But more things are broken, eg.
> 
> [root@devel10 ~]# ip addr
> Cannot open netlink socket: Function not implemented

That's consistent at least.  audit_open in audit-libs can only fail if it cannot create the netlink socket, too.

I wonder if this is related, from your strace:

setup()                                 = -1 ENOSYS (Function not implemented)

That is, if we are calling the wrong system call.  But there are literally no changes between -7 and -9 in the glibc package itself which would cause this.

I wonder if it is a difference between those two, used for building the packages:

kernel-headers-4.2.8-300.fc23.s390
kernel-headers-4.3.5-300.fc23.s390
Comment 5 Dan Horák 2016-02-19 12:28:18 EST
[root@devel10 ~]# strace ip link
execve("/usr/sbin/ip", ["ip", "link"], [/* 25 vars */]) = 0
brk(NULL)                               = 0x81091000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x3fffd489000
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x3fffd487000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY|O_CLOEXEC) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=20333, ...}) = 0
mmap(NULL, 20333, PROT_READ, MAP_PRIVATE, 3, 0) = 0x3fffd482000
close(3)                                = 0
open("/lib64/libdl.so.2", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\2\1\0\0\0\0\0\0\0\0\0\0\3\0\26\0\0\0\1\0\0\0\0\0\0\16\350"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=19696, ...}) = 0
mmap(NULL, 16712, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x3fffd47d000
mmap(0x3fffd480000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2000) = 0x3fffd480000
close(3)                                = 0
open("/lib64/libc.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\2\1\3\0\0\0\0\0\0\0\0\0\3\0\26\0\0\0\1\0\0\0\0\0\2+\320"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=2114832, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x3fffd47c000
mmap(NULL, 1841232, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x3fffd2ba000
mmap(0x3fffd472000, 24576, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1b7000) = 0x3fffd472000
mmap(0x3fffd478000, 14416, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x3fffd478000
close(3)                                = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x3fffd2b9000
mprotect(0x3fffd472000, 16384, PROT_READ) = 0
mprotect(0x3fffd480000, 4096, PROT_READ) = 0
mprotect(0x8005c000, 4096, PROT_READ)   = 0
mprotect(0x3fffd4b3000, 4096, PROT_READ) = 0
munmap(0x3fffd482000, 20333)            = 0
setup()                                 = -1 ENOSYS (Function not implemented)
dup(2)                                  = 3
fcntl(3, F_GETFL)                       = 0x8402 (flags O_RDWR|O_APPEND|O_LARGEFILE)
brk(NULL)                               = 0x81091000
brk(0x810b2000)                         = 0x810b2000
brk(NULL)                               = 0x810b2000
fstat(3, {st_mode=S_IFCHR|0620, st_rdev=makedev(136, 0), ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x3fffd486000
write(3, "Cannot open netlink socket: Func"..., 53Cannot open netlink socket: Function not implemented
) = 53
close(3)                                = 0
munmap(0x3fffd486000, 4096)             = 0
exit_group(1)                           = ?
+++ exited with 1 +++


[root@devel10 ~]# rpm -q kernel systemd glibc
kernel-4.2.3-300.fc23.s390x
systemd-222-7.fc23.s390x
glibc-2.22-9.fc23.s390x
Comment 6 Florian Weimer 2016-02-19 12:29:22 EST
Commit 977108f89c989b1eeb5c8d938e1e71913391eb5f (s390: wire up separate socketcalls system calls) went into kernel 4.3.  I suspect this is related.
Comment 7 Dan Horák 2016-02-19 12:34:39 EST
FWIW such system doesn't reboot (some socket() failures from systemd), but the other guest which already had 4.3 kernel came back ok
Comment 8 Dan Horák 2016-02-19 12:35:08 EST
(In reply to Florian Weimer from comment #6)
> Commit 977108f89c989b1eeb5c8d938e1e71913391eb5f (s390: wire up separate
> socketcalls system calls) went into kernel 4.3.  I suspect this is related.

/me agrees
Comment 9 Florian Weimer 2016-02-19 13:07:20 EST
I think the cause are the syscall definitions in sysdeps/unix/sysv/linux/s390/s390-64/syscalls.list:

# proper socket implementations:
accept		-	accept		Ci:iBN	__libc_accept	__accept accept
bind		-	bind		i:ipi	__bind		bind
…

If I read the syscalls framework correctly, they were dormant until the __NR_accept definitions popped up on the kernel side.
Comment 10 Florian Weimer 2016-02-19 13:15:26 EST
Scratch build with fix attempt running:

http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2086163
Comment 11 Dan Horák 2016-02-19 14:28:52 EST
[root@devel10 ~]# rpm -q kernel glibc
kernel-4.2.3-300.fc23.s390x
glibc-2.22-3.fc23.s390x
[root@devel10 ~]# ip addr
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: enccw0.0.0800: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1492 qdisc fq_codel state UNKNOWN group default qlen 1000
    link/ether 02:00:00:00:00:77 brd ff:ff:ff:ff:ff:ff
    inet 10.16.104.73/21 brd 10.16.111.255 scope global enccw0.0.0800
       valid_lft forever preferred_lft forever
    inet6 fe80::200:0:600:77/64 scope link 
       valid_lft forever preferred_lft forever
[root@devel10 ~]# ip link
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN mode DEFAULT group default 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
2: enccw0.0.0800: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1492 qdisc fq_codel state UNKNOWN mode DEFAULT group default qlen 1000
    link/ether 02:00:00:00:00:77 brd ff:ff:ff:ff:ff:ff
[root@devel10 ~]# dnf update http://s390.koji.fedoraproject.org/kojifiles/work/tasks/6165/2086165/glibc-common-2.22-10.fc23.s390x.rpm http://s390.koji.fedoraproject.org/kojifiles/work/tasks/6165/2086165/glibc-2.22-10.fc23.s390x.rpm
Last metadata expiration check performed 0:58:44 ago on Fri Feb 19 13:28:21 2016.
Dependencies resolved.
======================================================================================================================================================================
 Package                                  Arch                              Version                                    Repository                                Size
======================================================================================================================================================================
Upgrading:
 glibc                                    s390x                             2.22-10.fc23                               @commandline                             3.4 M
 glibc-common                             s390x                             2.22-10.fc23                               @commandline                              11 M

Transaction Summary
======================================================================================================================================================================
Upgrade  2 Packages

Total size: 15 M
Is this ok [y/N]: y
Downloading Packages:
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Upgrading   : glibc-2.22-10.fc23.s390x                                                                                                                          1/4 
  Upgrading   : glibc-common-2.22-10.fc23.s390x                                                                                                                   2/4 
  Cleanup     : glibc-2.22-3.fc23.s390x                                                                                                                           3/4 
  Cleanup     : glibc-common-2.22-3.fc23.s390x                                                                                                                    4/4 
  Verifying   : glibc-common-2.22-10.fc23.s390x                                                                                                                   1/4 
  Verifying   : glibc-2.22-10.fc23.s390x                                                                                                                          2/4 
  Verifying   : glibc-2.22-3.fc23.s390x                                                                                                                           3/4 
  Verifying   : glibc-common-2.22-3.fc23.s390x                                                                                                                    4/4 

Upgraded:
  glibc.s390x 2.22-10.fc23                                                       glibc-common.s390x 2.22-10.fc23                                                      

Complete!
[root@devel10 ~]# ip link
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN mode DEFAULT group default 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
2: enccw0.0.0800: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1492 qdisc fq_codel state UNKNOWN mode DEFAULT group default qlen 1000
    link/ether 02:00:00:00:00:77 brd ff:ff:ff:ff:ff:ff
[root@devel10 ~]# rpm -q glibc
glibc-2.22-10.fc23.s390x
Comment 12 Dan Horák 2016-02-19 14:42:49 EST
(In reply to Florian Weimer from comment #10)
> Scratch build with fix attempt running:
> 
> http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2086163

yes, seems to be fixed, I did updates to kernel, reboots, etc and all works.
Comment 13 Fedora Update System 2016-02-20 06:39:27 EST
glibc-2.22-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1b88ff23a4
Comment 14 Fedora Update System 2016-02-20 06:52:37 EST
glibc-2.21-12.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5ec3bf7e66
Comment 15 Fedora Update System 2016-02-21 12:58:31 EST
glibc-2.22-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1b88ff23a4
Comment 16 Fedora Update System 2016-02-21 13:27:38 EST
glibc-2.21-12.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5ec3bf7e66
Comment 17 Fedora Update System 2016-02-22 20:23:21 EST
glibc-2.22-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-02-29 05:21:46 EST
glibc-2.21-12.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.